Contributor License Agreement
=============================

This Contributor License Agreement (the “Agreement”) is between Woods Hole Oceanographic Institution and the person or entity designated in this Agreement as the Contributor (and sometimes referred to as “You” or “Your” below).  You agree to the terms and conditions of this Agreement as of the date of such acceptance.

This Agreement is meant to clarify the intellectual property license granted with Contributions by You. This Agreement is meant to protect both You as a Contributor and WHOI as the recipient of the Contribution, and does not change your rights to use your own Contributions for any other purpose.
You accept and agree to the following terms and conditions for Your present and future Contributions submitted to WHOI. Except for the license granted herein to WHOI and recipients of related Work distributed by WHOI, You reserve all right, title and interest in and to Your Contributions.

## 1. Definitions.

"You" (or "Your") shall mean the copyright owner or legal entity authorized by the copyright owner that is making this Agreement with WHOI. For legal entities, the entity making a Contribution and all other entities that control, are controlled by, or are under common control with that entity are considered to be a single Contributor. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares or other equity interests, or (iii) beneficial ownership of such entity.

"Contribution" shall mean any original work of authorship, including any modifications or additions to an existing work, that is intentionally submitted by You to WHOI for inclusion in, or documentation of, any of the developments, works or products owned or managed by WHOI (the "Work"). For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to WHOI or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, WHOI for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by You as "Not a Contribution."

## 2. Grant of Copyright License. 

Subject to the terms and conditions of this Agreement, You hereby grant to WHOI and to recipients of any Work distributed by WHOI a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, sublicense, and distribute Your Contributions and such derivative works.

## 3. Grant of Patent License. 

Subject to the terms and conditions of this Agreement, You hereby grant to WHOI and to recipients of any Work distributed by WHOI a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by You that are necessarily infringed by Your Contribution(s) alone or by combination of Your Contribution(s) with the Work to which such Contribution(s) was submitted. If any entity institutes patent litigation against You or any other entity (including a cross-claim or counterclaim in a lawsuit) alleging that your Contribution, or the Work to which you have contributed, constitutes direct or contributory patent infringement, then any patent licenses granted to that entity under this Agreement for that Contribution or Work shall terminate as of the date such litigation is filed.

## 4. Representations By You.  

You represent that you are legally entitled to grant the above license. If your employer(s) has rights to intellectual property that you create that includes your Contributions, you represent that you have received permission to make Contributions on behalf of that employer, that your employer has waived such rights for your Contributions to WHOI, or that your employer has executed a separate contributor license agreement with WHOI.  You represent that each of Your Contributions is Your original creation (see section 6 for submissions on behalf of others). You represent that Your Contribution submissions include complete details of any third-party license or other restriction (including, but not limited to, related patents and trademarks) of which you are personally aware and which are associated with any part of Your Contributions.

## 5. Support Matters.  

You are not expected to provide support for Your Contributions, except to the extent You desire to provide support. You may provide support for free, for a fee (which must be mutually agreed by WHOI), or not at all. 

## 6. Disclaimer of Certain Warranties.  

UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING (INCLUDING AS AGREED TO IN THIS AGREEMENT), YOU PROVIDE YOUR CONTRIBUTIONS ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON- INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE.

## 7. Submitting Material Other Than Your Original Creations.  

Should You wish to submit any material that is not Your original creation, You may submit it to WHOI separately from any Contribution, identifying the complete details of its source and of any license or other restriction (including, but not limited to, related patents, trademarks, and license agreements) of which you are personally aware, and conspicuously marking the material as "Submitted on behalf of a third-party: [named here]".

## 8. Notification of Inaccurate Representations. 

You agree to notify WHOI of any facts or circumstances of which you become aware that would make any of the representations in this Agreement inaccurate in any respect.

